libcec (6.0.2-5+rpt1) bookworm; urgency=medium

  * RPiCECAdapterDetection: Include check that we can set passive mode
    - https://github.com/popcornmix/libcec/commit/b30fc8333e3f80bf39ebddf4241507e779b51d77
  * cec-framework-multiple.patch
    - https://github.com/raspberrypi/Raspberry-Pi-OS-64bit/issues/143#issuecomment-862562147
  * Add -DHAVE_RPI_API=1
  * Add libraspberrypi{0,-dev} dependencies

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 23 Feb 2023 15:15:28 +0000

libcec (6.0.2-5) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * Update watch file format version to 4.
  * Yak shave debian/rules
  * Adopt (closes: #1006619) thanks Balint for all your work.
  * Update ncurses build dependency.

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 06 Feb 2023 22:09:39 +0000

libcec (6.0.2-4) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override.
  * debian/patches: Update reproducible build patch to use Use
    CMAKE_SYSTEM_NAME instead of CMAKE_SYSTEM. (Closes: #1010414)
  * debian/control: Set Rules-Requires-Root to "no".
  * Update to debhelper-compat 13.
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 30 Apr 2022 17:50:08 -0700

libcec (6.0.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on cmake and g++.
    Changes-By: deb-scrub-obsolete

  [ Balint Reczey ]
  * Remove myself from Uploaders
  * Orphaning the package according to our discussion with Sjoerd

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 27 Feb 2022 20:44:29 +0100

libcec (6.0.2-2) unstable; urgency=medium

  [ Punit Agrawal ]
  * debian/rules: Enable Linux API
    libcec has support for the Linux CEC api that enables interaction with
    devices that are exposed via "/dev/cec0" on supported systems. Enable
    Linux API support in the library to allows users to interact with
    media applications using their remote on such systems. (Closes: #983733)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 01 Mar 2021 08:10:46 +0100

libcec (6.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Balint Reczey ]
  * debian/copyright: Drop obsolete Files-Excluded
  * New upstream version 6.0.2
  * Rename library package for bumped SO version and replace
    debian/*.symbols with debian/*.shlibs (Closes: #957433)
  * debian/control: Bump Standards-Version, no changes required

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 07 Aug 2020 16:22:52 +0200

libcec (4.0.4+dfsg1-4) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 25 Sep 2019 14:22:51 +0200

libcec (4.0.4+dfsg1-4~exp1) experimental; urgency=medium

  * Switch to Python 3.
    Ship Python 3 modules in python3-cec replacing Python 2 python-libcec
    (Closes: #936846)
  * Update symbols file(s)
  * Fix generated Python 3 dependencies

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 16 Sep 2019 17:37:57 +0200

libcec (4.0.4+dfsg1-3) unstable; urgency=medium

  * debian/libcec4.symbols: Refresh symbols to build with GCC 9.
    Thanks to Boyuan Yang for the proposed NMU (Closes: #925738)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 11 Sep 2019 00:16:56 +0200

libcec (4.0.4+dfsg1-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Build-depend on pkg-kde-tools
  * Update symbols file (Closes: #923904)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 08 Mar 2019 13:21:44 +0100

libcec (4.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 4.0.4+dfsg1
  * Add Salsa CI configuration

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 11 Feb 2019 15:57:39 +0700

libcec (4.0.3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Fix wrong Vcs-*

  [ Balint Reczey ]
  * New upstream version 4.0.3+dfsg1
  * Update symbols after enabling Exynos and AOCEC API support
  * Update installing Python 2 package content
  * Update symbols. There are symbol removals, but upstream does not list
    them as being part of the public API.

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 16 Nov 2018 03:36:22 +0100

libcec (4.0.2+dfsg1-3) experimental; urgency=medium

  * Enable Exynos and AOCEC API support (Closes: #885177)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 26 Dec 2017 02:55:36 +0100

libcec (4.0.2+dfsg1-2) unstable; urgency=medium

  [ Debian's Automated Developer ]
  * Update symbols file(s)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 25 Dec 2017 22:52:01 +0100

libcec (4.0.2+dfsg1-1) experimental; urgency=medium

  * Always repack original source with xz compression
  * New upstream version 4.0.2+dfsg1
  * Build-depend on g++ (>= 4:7)
  * Refresh patches
  * Remove workaround to put pkg-config file to the right place
  * Update symbols file with new symbols from 4.0.2
  * Update symbols file with symbol changes due to GCC 7 transition
    (Closes: #853485)
  * Use my @ubuntu.com email address in Uploader field
  * Keep installing Python modules to dist-packages despite upstream
    changes which install them to site-packages

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 05 Sep 2017 23:36:22 +0200

libcec (4.0.1+dfsg1-1) unstable; urgency=medium

  * Update symbols file
  * Imported Upstream version 4.0.1+dfsg1
  * Add symbols re-exported from libp8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 18 Jan 2017 09:16:30 +0100

libcec (4.0.0+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 4.0.0+dfsg1
  * Refresh patches
  * Bump SO version in packaging scripts
  * Remove files from debian/copyright which are removed from upstream
    tarball
  * Use secure URI in Vcs-Git
  * Bump standards version
  * Update symbols file for amd64 and i386
  * Enable all hardening features

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 17 Dec 2016 20:15:34 +0100

libcec (3.1.0+dfsg1-4) unstable; urgency=medium

  * Fall back to use libudev.pc when udev.pc is not usable (Closes: #817051)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 07 Mar 2016 20:24:16 +0100

libcec (3.1.0+dfsg1-3) unstable; urgency=medium

  * Update symbols file for GCC 6 (Closes: #811979)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 06 Mar 2016 19:53:31 +0100

libcec (3.1.0+dfsg1-2) unstable; urgency=medium

  * Use arch-bits for tagging symbols
  * Reformat d/control using cme
  * Bump standards version to 3.9.7

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 25 Feb 2016 09:34:25 +0100

libcec (3.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Refresh patches including dropping patches integrated upstream
  * Use (cec-)platform libraries under the new p8-platform name
  * Update symbols file using pkgkde-symbolshelper (Closes: #811979)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 24 Feb 2016 11:11:33 +0100

libcec (3.0.1+dfsg2-9) unstable; urgency=medium

  * Cherry-pick patch from upstream for locking with flock()

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 28 Nov 2015 08:57:33 +0100

libcec (3.0.1+dfsg2-8) unstable; urgency=medium

  * Handle transition from libcec3v4 to libcec3

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 07 Oct 2015 20:06:06 +0200

libcec (3.0.1+dfsg2-7) unstable; urgency=medium

  * Stop using lockdev again (Closes: #728023)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 28 Sep 2015 10:49:52 +0200

libcec (3.0.1+dfsg2-6) unstable; urgency=medium

  * Fix SOVERSION handling in CEC clients (Closes: #798472)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Sep 2015 21:42:38 +0200

libcec (3.0.1+dfsg2-5) unstable; urgency=medium

  * Fix crash on systems lacking /sys/class/drm (Closes: #798190)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 06 Sep 2015 19:11:37 +0200

libcec (3.0.1+dfsg2-4) unstable; urgency=medium

  * Update symbols based on armel build failure

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 16 Aug 2015 21:06:33 +0200

libcec (3.0.1+dfsg2-3) experimental; urgency=medium

  * Add versioned build dependencies for the GCC 5 transition (Closes: #791103)
  * Update symbols file with the GCC 5 transition changes
  * Make build more deterministic
  * Fix libdir in pkgconfig file

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 07 Aug 2015 00:07:02 +0200

libcec (3.0.1+dfsg2-2) experimental; urgency=medium

  * Update symbols file based on powerpc build

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 01 Aug 2015 13:38:00 +0200

libcec (3.0.1+dfsg2-1) experimental; urgency=medium

  * New Upstream version 3.0.1
  * Merge upstream packaging changes
  * Drop patches integrated upstream
  * Add libcec-platform-dev as build dependency
  * Use cec-platform
  * Call cmake from debian/rules more conventionally
  * Fix pkgconfig file install location
  * Stop shipping libcec.a
  * Fix missing space in debian/control
  * Add misc:Depends to python-libcec dependencies
  * Update debian/copyright with changed and excluded files
  * Build depend on Debhelper 9
  * Drop libcec meta package
  * Fix library SONAME version
  * Update symbols file
  * Install CLI utilities in cec-utils and Python scripts in python-libcec
  * Add shlibs:Depends and python:Depends to python-libcec dependencies
  * Build depend on dh-python
  * Extend extended description a bit
  * Call debhelper with python2 in debian/rules
  * Install Python client script as an example
  * Add repack suffix to debian/watch
  * Drop prebuilt windows binary from source
  * Drop obsoleted Lintian override

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 07 Jul 2015 16:17:34 -0700

libcec (2.2.0+dfsg1-3) unstable; urgency=medium

  * Upload to unstable
  * Update symbols file for GCC 5 (Closes: #777940)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 26 Apr 2015 20:57:42 +0200

libcec (2.2.0+dfsg1-2) experimental; urgency=medium

  * Provide both C & C++ versions of cec_set_configuration()
    to match upstream's latest ABI

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 08 Nov 2014 22:57:17 +0100

libcec (2.2.0+dfsg1-1) experimental; urgency=medium

  * Add working watch file
  * Update libcec-get-orig-source for 2.2.0.
    Add +dfsg1 suffix to repacked version
    Compress tarball using xz
  * New upstream version 2.2.0
  * Fix ABI breakage due to changed cec_set_configuration()
  * Update symbols file with new ABI symbols
  * Mangle local version in watch file
  * Bump standards version, no changes needed

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 08 Nov 2014 18:20:25 +0100

libcec (2.1.4-2) unstable; urgency=low

  [ Balint Reczey ]
  * Add myself to uploaders
  * Set Sjoerd as maintainer
  * Remove Andres Mejia as maintainer since he is tracked as MIA
    Thanks to Andres for creating and taking care of the package.
    (Closes: #743513)
  * Provide symbols file (Closes: #737769)
  * Bump standards version

  [ Roger Leigh ]
  * Stop using lockdev (Closes: #728023)

  [ Logan Rosen ]
  * Use dh-autoreconf to fix FTBFS on ppc64e (Closes: #735217)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 07 Aug 2014 18:55:00 +0200

libcec (2.1.4-1) unstable; urgency=low

  * New upstream release (Closes: #730510)
  * Add myself to uploaders

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 01 Jan 2014 19:02:43 +0100

libcec (2.0.3-1) experimental; urgency=low

  * New upstream release. (Closes: #685058)
  * Change library package to libcec2 for soname bump.
  * Add new build-dependency liblockdev-dev.
  * Add new manpage for cec-config utility program.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Nov 2012 12:27:06 -0500

libcec (1.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Andres Mejia <amejia@debian.org>  Wed, 02 May 2012 22:35:02 -0400

libcec (1.6.1-2) unstable; urgency=low

  * Build depends on pkg-config. (Closes: #669919)
  * libudev-dev only optionally needed for Linux.

 -- Andres Mejia <amejia@debian.org>  Sat, 21 Apr 2012 19:03:19 -0400

libcec (1.6.1-1) unstable; urgency=low

  [ Mario Limonciello ]
  * New upstream version (LP: #982272)

  [ Andres Mejia ]
  * New release fixes build failure with GCC-4.7. (Closes: #667241)
  * Bump to Standards-Version 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Sat, 21 Apr 2012 00:02:08 -0400

libcec (1.3.2-3) unstable; urgency=low

  * Make dpkg-source options default for packaging.

 -- Andres Mejia <amejia@debian.org>  Tue, 10 Jan 2012 18:12:57 -0500

libcec (1.3.2-2) unstable; urgency=low

  * Add options to pass to dpkg-source.

 -- Andres Mejia <amejia@debian.org>  Sun, 08 Jan 2012 22:59:34 -0500

libcec (1.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #655143)

 -- Andres Mejia <amejia@debian.org>  Sun, 08 Jan 2012 15:36:49 -0500
